[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpTimes

Return execution times for the current process

## Declaration

Source position: bunxh.inc line 40

`function FpTimes(`
`var buffer: tms`
`):TClock;`

## Description

fpTimes stores the execution time of the current process and child processes in buffer.

The return value (on Linux) is the number of clock ticks since boot time. On error, -1 is returned, and extended error information can be retrieved with fpGetErrno.

## See also

fpUTime |  | Set access and modification times of a file (touch).